complexStatus {PCpheno} | R Documentation

## Complex Status

### Description

Categorize the complex whether or not a complex is composed of a significant number of genes involved in a particular phenotype than expected by chance.

### Usage

    complexStatus(data, phenotype, interactome, threshold=0.05)

### Arguments

`data` | Output from CoHyperG test
`phenotype` | List of gene names inducing an observed phenotype, e.g., list of essential gene names (see package SLGI)
`interactome` | A binary matrix composed of genes (rows) and biological complexes (columns) (see package ScISI)
`threshold` | pvalue threshold (default 0.05)

### Details

We form four distinct categories from A to D to characterize how a complex might be involved in a particular phenotype (according to the number of genes it contains and that are involved in a particular phenotype - see also CoHyperG function)

### Value

The returned value is a list with components:

`A` | "interesting" complexes, complexes with a significant number of interesting genes, i.e., genes that participate to a particular phenotype (at a given p-values threshold)
`B` | complexes with a NON significant number of interesting genes BUT that SHARE genes with complexes from the A status
`C` | complexes with a NON significant number of interesting genes AND that DON'T SHARE interesting genes with complexes from cat A
`D` | complexes WITHOUT interesting genes, i.e. the one involved in the studied phenotype

### Author(s)

N. LeMeur

### Examples

    data(ScISI)
    data(essglist)
    essential <- names(essglist)

    CoparamsESS <- new("CoHyperGParams",
                       geneIds=essential,
                       universeGeneIds=rownames(ScISI),
                       annotation="org.Sc.sgd.db",
                       categoryName="ScISI",
                       pvalueCutoff=0.01,
                       testDirection="over")

    sign<- hyperGTest(CoparamsESS)
    test05 <-complexStatus(data=sign, phenotype=essential,
    interactome=ScISI, threshold=0.05)

[Package PCpheno version 1.6.0 Index]